javax.media.opengl

## Interface GLCapabilitiesImmutable

- All Superinterfaces:
    CapabilitiesImmutable, Comparable<CapabilitiesImmutable>, VisualIDHolder, WriteCloneable
  All Known Implementing Classes:
    GLCapabilities

      public interface GLCapabilitiesImmutable
      extends CapabilitiesImmutable

  Specifies an immutable set of OpenGL capabilities.
  See Also:
    `GLCapabilities`, `CapabilitiesImmutable`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.VisualIDHolder

      `VisualIDHolder.VIDComparator, VisualIDHolder.VIDType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SAMPLE_EXTENSION` One of the platform's default sample extension `EGL.EGL_SAMPLES, GLX.GLX_SAMPLES, WGLExt.WGL_SAMPLES_ARB` if available, or any other known fallback one, ie `EGLExt.EGL_COVERAGE_SAMPLES_NV`

    - ### Fields inherited from interface javax.media.nativewindow.VisualIDHolder

      `VID_UNDEFINED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality over the immutable attributes of both objects
    `int` | `getAccumAlphaBits()` Returns the number of bits for the accumulation buffer's alpha component.
    `int` | `getAccumBlueBits()` Returns the number of bits for the accumulation buffer's blue component.
    `int` | `getAccumGreenBits()` Returns the number of bits for the accumulation buffer's green component.
    `int` | `getAccumRedBits()` Returns the number of bits for the accumulation buffer's red component.
    `int` | `getDepthBits()` Returns the number of depth buffer bits.
    `boolean` | `getDoubleBuffered()` Returns whether double-buffering is requested, available or chosen.
    `GLProfile` | `getGLProfile()` Returns the GL profile you desire or used by the drawable.
    `boolean` | `getHardwareAccelerated()` Returns whether hardware acceleration is requested, available or chosen.
    `int` | `getNumSamples()` Returns the number of sample buffers to be allocated if sample buffers are enabled, otherwise returns 0.
    `boolean` | `getSampleBuffers()` Returns whether sample buffers for full-scene antialiasing (FSAA) should be allocated for this drawable.
    `String` | `getSampleExtension()` Returns the extension for full-scene antialiasing (FSAA).
    `int` | `getStencilBits()` Returns the number of stencil buffer bits.
    `boolean` | `getStereo()` Returns whether stereo is requested, available or chosen.
    `int` | `hashCode()` hash code over the immutable attributes of both objects
    `boolean` | `isFBO()` Returns whether FBO offscreen mode is requested, available or chosen.
    `boolean` | `isPBuffer()` Returns whether pbuffer offscreen mode is requested, available or chosen.
    `String` | `toString()` Returns a textual representation of this object.

    - ### Methods inherited from interface javax.media.nativewindow.CapabilitiesImmutable

      `getAlphaBits, getBlueBits, getGreenBits, getRedBits, getTransparentAlphaValue, getTransparentBlueValue, getTransparentGreenValue, getTransparentRedValue, isBackgroundOpaque, isBitmap, isOnscreen, toString`

    - ### Methods inherited from interface javax.media.nativewindow.VisualIDHolder

      `getVisualID`

    - ### Methods inherited from interface com.jogamp.common.type.WriteCloneable

      `cloneMutable`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### DEFAULT_SAMPLE_EXTENSION

          static final String DEFAULT_SAMPLE_EXTENSION

      One of the platform's default sample extension `EGL.EGL_SAMPLES, GLX.GLX_SAMPLES, WGLExt.WGL_SAMPLES_ARB` if available, or any other known fallback one, ie `EGLExt.EGL_COVERAGE_SAMPLES_NV`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGLProfile

          GLProfile getGLProfile()

      Returns the GL profile you desire or used by the drawable.

    - #### getAccumAlphaBits

          int getAccumAlphaBits()

      Returns the number of bits for the accumulation buffer's alpha component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getAccumBlueBits

          int getAccumBlueBits()

      Returns the number of bits for the accumulation buffer's blue component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getAccumGreenBits

          int getAccumGreenBits()

      Returns the number of bits for the accumulation buffer's green component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getAccumRedBits

          int getAccumRedBits()

      Returns the number of bits for the accumulation buffer's red component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

    - #### getDepthBits

          int getDepthBits()

      Returns the number of depth buffer bits.

    - #### getDoubleBuffered

          boolean getDoubleBuffered()

      Returns whether double-buffering is requested, available or chosen.

      Default is true.

    - #### getHardwareAccelerated

          boolean getHardwareAccelerated()

      Returns whether hardware acceleration is requested, available or chosen.

      Default is true.

    - #### getSampleExtension

          String getSampleExtension()

      Returns the extension for full-scene antialiasing (FSAA).

      Default is `DEFAULT_SAMPLE_EXTENSION`.

    - #### getSampleBuffers

          boolean getSampleBuffers()

      Returns whether sample buffers for full-scene antialiasing (FSAA) should be allocated for this drawable.

      Default is false.

    - #### getNumSamples

          int getNumSamples()

      Returns the number of sample buffers to be allocated if sample buffers are enabled, otherwise returns 0.

      Default is 0 due to disable sample buffers per default.

    - #### getStencilBits

          int getStencilBits()

      Returns the number of stencil buffer bits.

      Default is 0.

    - #### getStereo

          boolean getStereo()

      Returns whether stereo is requested, available or chosen.

      Default is false.

    - #### isPBuffer

          boolean isPBuffer()

      Returns whether pbuffer offscreen mode is requested, available or chosen.

      Default is false.

      For chosen capabilities, only the selected offscreen surface is set to `true`.

    - #### isFBO

          boolean isFBO()

      Returns whether FBO offscreen mode is requested, available or chosen.

      Default is false.

      For chosen capabilities, only the selected offscreen surface is set to `true`.

    - #### equals

          boolean equals(Object obj)

      Description copied from interface: `javax.media.nativewindow.CapabilitiesImmutable`
      Equality over the immutable attributes of both objects
      Specified by:
        `equals` in interface `CapabilitiesImmutable`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          int hashCode()

      Description copied from interface: `javax.media.nativewindow.CapabilitiesImmutable`
      hash code over the immutable attributes of both objects
      Specified by:
        `hashCode` in interface `CapabilitiesImmutable`
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          String toString()

      Description copied from interface: `javax.media.nativewindow.CapabilitiesImmutable`
      Returns a textual representation of this object.
      Specified by:
        `toString` in interface `CapabilitiesImmutable`
      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.